*** old-NetBSD/src/sys/arch/amiga/dev/grf_rt.c
--- NetBSD/src/sys/arch/amiga/dev/grf_rt.c
***************
*** 76,84 ****
   * results from the agreements between MS and me.
   */
  
! extern unsigned char kernel_font_8x8_width, kernel_font_8x8_height;
! extern unsigned char kernel_font_8x8_lo, kernel_font_8x8_hi;
! extern unsigned char kernel_font_8x8[];
  
  
  #define MDF_DBL 1      
--- 76,84 ----
   * results from the agreements between MS and me.
   */
  
! extern unsigned char kernel_font_width, kernel_font_height;
! extern unsigned char kernel_font_lo, kernel_font_hi;
! extern unsigned char kernel_font[];
  
  
  #define MDF_DBL 1      
***************
*** 89,111 ****
  /* standard-palette definition */
  
  unsigned char NCRStdPalette[16*3] = {
! /*   R   G   B  */
! 	  0,  0,  0,
! 	192,192,192,
! 	128,  0,  0,  
! 	  0,128,  0,
! 	  0,  0,128,
! 	128,128,  0,  
! 	  0,128,128,  
! 	128,  0,128,
! 	 64, 64, 64, /* the higher 8 colors have more intensity for  */
! 	255,255,255, /* compatibility with standard attributes       */
! 	255,  0,  0,  
! 	  0,255,  0,
! 	  0,  0,255,
! 	255,255,  0,  
! 	  0,255,255,  
! 	255,  0,255  
  };
  
  
--- 89,111 ----
  /* standard-palette definition */
  
  unsigned char NCRStdPalette[16*3] = {
! /*      R     G     B  */
! 	0x00, 0x00, 0x00,
!         0x60, 0x60, 0x60,
! 	0x80, 0x00, 0x00,  
! 	0x00, 0x80, 0x00,
! 	0x00, 0x00, 0x80,
! 	0x80, 0x80, 0x00,
! 	0x00, 0x80, 0x80,
! 	0x80, 0x00, 0x80,
! 	0x40, 0x40, 0x40, /* the higher 8 colors have more intensity for  */
! 	0xff, 0xff, 0xff, /* compatibility with standard attributes       */
! 	0xff, 0x00, 0x00,  
! 	0x00, 0xff, 0x00,
! 	0x00, 0x00, 0xff,
! 	0xff, 0xff, 0x00,
! 	0x00, 0xff, 0xff,
! 	0xff, 0x00, 0xff,
  };
  
  
***************
*** 135,180 ****
  /*                                      FQ     FLG    MW   MH   HBS HSS HSE HBE  HT  VBS  VSS  VSE  VBE   VT  */
     struct MonDef MON_640_512_60  = { 50000000,  28,  640, 512,   81, 86, 93, 98, 95, 513, 513, 521, 535, 535,
     /* Depth,           PAL, TX,  TY,    XY,FontX, FontY,    FontData,  FLo,  Fhi */
!           4, NCRStdPalette, 80,  64,  5120,    8,     8, kernel_font_8x8,   32,  255};      
  
   struct MonDef MON_640_480_62_G  = { 50000000,   4,  640, 480,  161,171,184,196,195, 481, 484, 492, 502, 502,
!           8, NCRStdPalette,640,480,  5120,    8,     8, kernel_font_8x8,   32,  255};      
  /* Enter higher values here ^   ^ for panning! */
  
  /* horizontal 38kHz */
  
     struct MonDef MON_768_600_60  = { 75000000,  28,  768, 600,   97, 99,107,120,117, 601, 615, 625, 638, 638,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font_8x8,   32,  255};      
  
  /* horizontal 64kHz */
  
     struct MonDef MON_768_600_80  = { 50000000, 24,  768, 600,   97,104,112,122,119, 601, 606, 616, 628, 628,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font_8x8,   32,  255};      
  
     struct MonDef MON_1024_768_80 = { 90000000, 24, 1024, 768,  129,130,141,172,169, 769, 770, 783, 804, 804,
!           4, NCRStdPalette,128,  96, 12288,    8,     8, kernel_font_8x8,   32,  255};      
  
  /*                                     FQ     FLG    MW   MH   HBS HSS HSE HBE  HT  VBS  VSS  VSE  VBE   VT  */
   struct MonDef MON_1024_768_80_G = { 90000000, 0,  1024, 768,  257,258,280,344,343, 769, 770, 783, 804, 804,
!           8, NCRStdPalette, 1024, 768, 12288,    8,     8, kernel_font_8x8,   32,  255};      
  
     struct MonDef MON_1024_1024_59= { 90000000, 24, 1024,1024,  129,130,141,173,170,1025,1059,1076,1087,1087,
!           4, NCRStdPalette,128, 128, 16384,    8,     8, kernel_font_8x8,   32,  255};      
  
  /* WARNING: THE FOLLOWING MONITOR MODES EXCEED THE 90-MHz LIMIT THE PROCESSOR
              HAS BEEN SPECIFIED FOR. USE AT YOUR OWN RISK (AND THINK ABOUT
              MOUNTING SOME COOLING DEVICE AT THE PROCESSOR AND RAMDAC)!     */
  
     struct MonDef MON_1280_1024_60= {110000000,  24, 1280,1024,  161,162,176,211,208,1025,1026,1043,1073,1073,
!           4, NCRStdPalette,160, 128, 20480,    8,     8, kernel_font_8x8,   32,  255};      
  
   struct MonDef MON_1280_1024_60_G= {110000000,   0, 1280,1024,  321,322,349,422,421,1025,1026,1043,1073,1073,
!           8, NCRStdPalette,1280,1024, 20480,    8,     8, kernel_font_8x8,   32,  255};      
  
  /* horizontal 75kHz */
  
     struct MonDef MON_1280_1024_69= {120000000,  24, 1280,1024,  161,162,175,200,197,1025,1026,1043,1073,1073, 
!           4, NCRStdPalette,160, 128, 20480,    8,     8, kernel_font_8x8,   32,  255};      
  
  #else
  
--- 135,180 ----
  /*                                      FQ     FLG    MW   MH   HBS HSS HSE HBE  HT  VBS  VSS  VSE  VBE   VT  */
     struct MonDef MON_640_512_60  = { 50000000,  28,  640, 512,   81, 86, 93, 98, 95, 513, 513, 521, 535, 535,
     /* Depth,           PAL, TX,  TY,    XY,FontX, FontY,    FontData,  FLo,  Fhi */
!           4, NCRStdPalette, 80,  64,  5120,    8,     8, kernel_font,   32,  255};      
  
   struct MonDef MON_640_480_62_G  = { 50000000,   4,  640, 480,  161,171,184,196,195, 481, 484, 492, 502, 502,
!           8, NCRStdPalette,640,480,  5120,    8,     8, kernel_font,   32,  255};      
  /* Enter higher values here ^   ^ for panning! */
  
  /* horizontal 38kHz */
  
     struct MonDef MON_768_600_60  = { 75000000,  28,  768, 600,   97, 99,107,120,117, 601, 615, 625, 638, 638,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font,   32,  255};      
  
  /* horizontal 64kHz */
  
     struct MonDef MON_768_600_80  = { 50000000, 24,  768, 600,   97,104,112,122,119, 601, 606, 616, 628, 628,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font,   32,  255};      
  
     struct MonDef MON_1024_768_80 = { 90000000, 24, 1024, 768,  129,130,141,172,169, 769, 770, 783, 804, 804,
!           4, NCRStdPalette,128,  96, 12288,    8,     8, kernel_font,   32,  255};      
  
  /*                                     FQ     FLG    MW   MH   HBS HSS HSE HBE  HT  VBS  VSS  VSE  VBE   VT  */
   struct MonDef MON_1024_768_80_G = { 90000000, 0,  1024, 768,  257,258,280,344,343, 769, 770, 783, 804, 804,
!           8, NCRStdPalette, 1024, 768, 12288,    8,     8, kernel_font,   32,  255};      
  
     struct MonDef MON_1024_1024_59= { 90000000, 24, 1024,1024,  129,130,141,173,170,1025,1059,1076,1087,1087,
!           4, NCRStdPalette,128, 128, 16384,    8,     8, kernel_font,   32,  255};      
  
  /* WARNING: THE FOLLOWING MONITOR MODES EXCEED THE 90-MHz LIMIT THE PROCESSOR
              HAS BEEN SPECIFIED FOR. USE AT YOUR OWN RISK (AND THINK ABOUT
              MOUNTING SOME COOLING DEVICE AT THE PROCESSOR AND RAMDAC)!     */
  
     struct MonDef MON_1280_1024_60= {110000000,  24, 1280,1024,  161,162,176,211,208,1025,1026,1043,1073,1073,
!           4, NCRStdPalette,160, 128, 20480,    8,     8, kernel_font,   32,  255};      
  
   struct MonDef MON_1280_1024_60_G= {110000000,   0, 1280,1024,  321,322,349,422,421,1025,1026,1043,1073,1073,
!           8, NCRStdPalette,1280,1024, 20480,    8,     8, kernel_font,   32,  255};      
  
  /* horizontal 75kHz */
  
     struct MonDef MON_1280_1024_69= {120000000,  24, 1280,1024,  161,162,175,200,197,1025,1026,1043,1073,1073, 
!           4, NCRStdPalette,160, 128, 20480,    8,     8, kernel_font,   32,  255};      
  
  #else
  
***************
*** 182,225 ****
  /* horizontal 31.5 kHz */
  
     { 50000000,  28,  640, 512,   81, 86, 93, 98, 95, 513, 513, 521, 535, 535,
!           4, NCRStdPalette, 80,  64,  5120,    8,     8, kernel_font_8x8,   32,  255},
  
  /* horizontal 38kHz */
  
     { 75000000,  28,  768, 600,   97, 99,107,120,117, 601, 615, 625, 638, 638,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font_8x8,   32,  255},
  
  /* horizontal 64kHz */
  
     { 50000000, 24,  768, 600,   97,104,112,122,119, 601, 606, 616, 628, 628,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font_8x8,   32,  255},
     
     { 90000000, 24, 1024, 768,  129,130,141,172,169, 769, 770, 783, 804, 804,
!           4, NCRStdPalette,128,  96, 12288,    8,     8, kernel_font_8x8,   32,  255},
  
     /* GFX modes */
  
  /* horizontal 31.5 kHz */
  
     { 50000000,   4,  640, 480,  161,171,184,196,195, 481, 484, 492, 502, 502,
!           8, NCRStdPalette,640, 480,  5120,    8,     8, kernel_font_8x8,   32,  255},
  
  /* horizontal 64kHz */
  
     { 90000000, 0,  1024, 768,  257,258,280,344,343, 769, 770, 783, 804, 804,
!           8, NCRStdPalette, 1024, 768, 12288,    8,     8, kernel_font_8x8,   32,  255},
  
  /* WARNING: THE FOLLOWING MONITOR MODES EXCEED THE 90-MHz LIMIT THE PROCESSOR
              HAS BEEN SPECIFIED FOR. USE AT YOUR OWN RISK (AND THINK ABOUT
              MOUNTING SOME COOLING DEVICE AT THE PROCESSOR AND RAMDAC)!     */
  
     {110000000,   0, 1280,1024,  321,322,349,422,421,1025,1026,1043,1073,1073,
!           8, NCRStdPalette,1280,1024, 20480,    8,     8, kernel_font_8x8,   32,  255},
  };
  
  static const char *monitor_descr[] = {
    "80x64 (640x512) 31.5kHz",
    "96x75 (768x600) 38kHz",
    "96x75 (768x600) 64kHz",
    "128x96 (1024x768) 64kHz",
  
--- 182,234 ----
  /* horizontal 31.5 kHz */
  
     { 50000000,  28,  640, 512,   81, 86, 93, 98, 95, 513, 513, 521, 535, 535,
!           4, NCRStdPalette, 80,  64,  5120,    8,     8, kernel_font,   32,  255},
  
  /* horizontal 38kHz */
  
     { 75000000,  28,  768, 600,   97, 99,107,120,117, 601, 615, 625, 638, 638,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font,   32,  255},
! 
! /* horizontal 50kHz */
! 
!    { 65000000,  24, 1024, 768,  129,130,140,160,157, 769, 770, 783, 807, 807,
!           4, NCRStdPalette,128,  96, 12288,    8,     8, kernel_font,   32,  255},
!    { 90000000,  24, 1264,1008,  159,160,174,219,216,1009,1010,1027,1056,1056,
!           4, NCRStdPalette,158, 126, 19908,    8,     8, kernel_font,   32,  255},
  
  /* horizontal 64kHz */
  
     { 50000000, 24,  768, 600,   97,104,112,122,119, 601, 606, 616, 628, 628,
!           4, NCRStdPalette, 96,  75,  7200,    8,     8, kernel_font,   32,  255},
     
     { 90000000, 24, 1024, 768,  129,130,141,172,169, 769, 770, 783, 804, 804,
!           4, NCRStdPalette,128,  96, 12288,    8,     8, kernel_font,   32,  255},
  
     /* GFX modes */
  
  /* horizontal 31.5 kHz */
  
     { 50000000,   4,  640, 480,  161,171,184,196,195, 481, 484, 492, 502, 502,
!           8, NCRStdPalette,640, 480,  5120,    8,     8, kernel_font,   32,  255},
  
  /* horizontal 64kHz */
  
     { 90000000, 0,  1024, 768,  257,258,280,344,343, 769, 770, 783, 804, 804,
!           8, NCRStdPalette, 1024, 768, 12288,    8,     8, kernel_font,   32,  255},
  
  /* WARNING: THE FOLLOWING MONITOR MODES EXCEED THE 90-MHz LIMIT THE PROCESSOR
              HAS BEEN SPECIFIED FOR. USE AT YOUR OWN RISK (AND THINK ABOUT
              MOUNTING SOME COOLING DEVICE AT THE PROCESSOR AND RAMDAC)!     */
  
     {110000000,   0, 1280,1024,  321,322,349,422,421,1025,1026,1043,1073,1073,
!           8, NCRStdPalette,1280,1024, 20480,    8,     8, kernel_font,   32,  255},
  };
  
  static const char *monitor_descr[] = {
    "80x64 (640x512) 31.5kHz",
    "96x75 (768x600) 38kHz",
+   "128x96 (1024x768) 50kHz",
+   "158x126 (1264x1008) 50kHz",
    "96x75 (768x600) 64kHz",
    "128x96 (1024x768) 64kHz",
  
***************
*** 232,238 ****
  
  /* patchable */
  int retina_default_mon = 0;
! int retina_default_gfx = 4;
      
  #endif
  
--- 241,247 ----
  
  /* patchable */
  int retina_default_mon = 0;
! int retina_default_gfx = 6;
      
  #endif
  
*** old-NetBSD/src/sys/arch/amiga/dev/grfabs.c
--- NetBSD/src/sys/arch/amiga/dev/grfabs.c
***************
*** 45,55 ****
--- 45,59 ----
   */
  
  /* add your monitor here. */
+ #if NGRFCC > 0
  monitor_t *cc_init_monitor (void);
+ #endif /* NGRFCC > 0 */
  
  /* and here. */
  monitor_t *(*init_monitor[])(void) = {
+ #if NGRFCC > 0
      cc_init_monitor, 
+ #endif /* NGRFCC > 0 */
      NULL
  };
  
***************
*** 76,87 ****
  }
  
  /*
!  * XXX: called from ite console init routine.
   * Does just what configure will do later but without printing anything.
   */
  
  int
! grfcc_probe()
  {
  	int i = 0;
  	
--- 80,91 ----
  }
  
  /*
!  * XXX: called from grf_cc probe routine.
   * Does just what configure will do later but without printing anything.
   */
  
  int
! grf_probe()
  {
  	int i = 0;
  	
***************
*** 114,119 ****
--- 118,126 ----
  	dimen_t dim;
  	long dx, dy, ct, dt;
   
+ 	if (monitors == NULL)
+ 		return NULL;
+ 
  	save = NULL;
  	for (m = monitors->lh_first; m != NULL; m = m->link.le_next) {
  		dim.width = width;
*** old-NetBSD/src/sys/arch/amiga/dev/grfabs_cc.c
--- NetBSD/src/sys/arch/amiga/dev/grfabs_cc.c
***************
*** 35,40 ****
--- 35,43 ----
   *
   */
  
+ #include "grfcc.h"
+ #if NGRFCC > 0
+ 
  #include <sys/param.h>
  #include <sys/errno.h>
  #include <sys/cdefs.h>
***************
*** 3113,3115 ****
--- 3116,3119 ----
  
  #endif /* GRF_AGA */
  #endif /* GRF_PAL */
+ #endif /* NGRFCC > 0 */
*** old-NetBSD/src/sys/arch/amiga/dev/gtsc.c
--- NetBSD/src/sys/arch/amiga/dev/gtsc.c
***************
*** 119,124 ****
--- 119,126 ----
  	gap = auxp;
  	sc = (struct sbic_softc *)dp;
  	sc->sc_cregs = rp = gap->zargs.va;	
+ 	printf (": sbic ctlr %d", sbic_cnt);
+ 	sc->sc_no = sbic_cnt++;
  
  	/*
  	 * disable ints and reset bank register
***************
*** 147,153 ****
  		sc->sc_dmamask = ~0x01ffffff;
  	else
  		sc->sc_dmamask = ~0x07ffffff;
! 	printf(": dmamask 0x%x", ~sc->sc_dmamask);
  	
  	if ((gap->flags & GVP_NOBANK) == 0)
  		sc->gtsc_bankmask = (~sc->sc_dmamask >> 18) & 0x01c0;
--- 149,155 ----
  		sc->sc_dmamask = ~0x01ffffff;
  	else
  		sc->sc_dmamask = ~0x07ffffff;
! 	printf(" dmamask 0x%x", ~sc->sc_dmamask);
  	
  	if ((gap->flags & GVP_NOBANK) == 0)
  		sc->gtsc_bankmask = (~sc->sc_dmamask >> 18) & 0x01c0;
***************
*** 385,395 ****
  	int s;
  
  	s = splbio();
! 	if (sc->sc_dmatimo) {
! 		if (sc->sc_dmatimo > 1)
  			printf("%s: dma timeout #%d\n",
! 			    sc->sc_dev.dv_xname, sc->sc_dmatimo - 1);
! 		sc->sc_dmatimo++;
  	}
  	splx(s);
  	timeout((void *)gtsc_dmatimeout, sc, 30 * hz);
--- 387,397 ----
  	int s;
  
  	s = splbio();
! 	if (dev->sc_dmatimo) {
! 		if (dev->sc_dmatimo > 1)
  			printf("%s: dma timeout #%d\n",
! 			    sc->sc_dev.dv_xname, dev->sc_dmatimo - 1);
! 		dev->sc_dmatimo++;
  	}
  	splx(s);
  	timeout((void *)gtsc_dmatimeout, sc, 30 * hz);
*** old-NetBSD/src/sys/arch/amiga/dev/gtscreg.h
--- NetBSD/src/sys/arch/amiga/dev/gtscreg.h
***************
*** 34,41 ****
   *
   *      @(#)gvp11_dmareg.h
   */
! #ifndef _AMIGA_DEV_AHSCREG_H_
! #define _AMIGA_DEV_AHSCREG_H_
  
  /*
   * Hardware layout of the GVP Series II SDMAC. This also contains the
--- 34,41 ----
   *
   *      @(#)gvp11_dmareg.h
   */
! #ifndef _AMIGA_DEV_GTSCREG_H_
! #define _AMIGA_DEV_GTSCREG_H_
  
  /*
   * Hardware layout of the GVP Series II SDMAC. This also contains the
***************
*** 72,75 ****
  #define GVP_CNTR_INTEN          (1<<3)
  #define GVP_CNTR_DDIR           (1<<4)
  
! #endif /* _AMIGA_DEV_AHSCREG_H_ */
--- 72,75 ----
  #define GVP_CNTR_INTEN          (1<<3)
  #define GVP_CNTR_DDIR           (1<<4)
  
! #endif /* _AMIGA_DEV_GTSCREG_H_ */
